package com.foo;

import javax.ejb.EJB;
import javax.ejb.Stateless;

@Stateless(mappedName = "ejb/Bar")
public class Bar implements BarRemote { 
    
    @EJB(mappedName = "ejb/Foo")
    private FooRemote foo;

    @Override
    public String sayHello() {
        System.out.println(foo.sayHello());
        return "Hello, Bar!";
    }

}
